# std::isinf

From cppreference.com
< cpp‎ | numeric‎ | math

Defined in header `<cmath>` |  |
bool isinf( float arg ); | (1) | (since C++11)
bool isinf( double arg ); | (2) | (since C++11)
bool isinf( long double arg ); | (3) | (since C++11)
bool isinf( Integral arg ); | (4) | (since C++11)

1-3) Determines if the given floating point number `arg` is a positive or negative infinity.
4) A set of overloads or a function template accepting the `from` argument of any integral type. Equivalent to (2) (the argument is cast to double).

### Parameters

arg | - | floating point value

### Return value

true if `arg` is infinite, false otherwise

### Example

Run this code

    #include <iostream>
    #include <cmath>
    #include <cfloat>

    int main()
    {
        std::cout << std::boolalpha
                  << "isinf(NaN) = " << std::isinf(NAN) << '\n'
                  << "isinf(Inf) = " << std::isinf(INFINITY) << '\n'
                  << "isinf(0.0) = " << std::isinf(0.0) << '\n'
                  << "isinf(exp(800)) = " << std::isinf(std::exp(800)) << '\n'
                  << "isinf(DBL_MIN/2.0) = " << std::isinf(DBL_MIN/2.0) << '\n';
    }

Output:

    isinf(NaN) = false
    isinf(Inf) = true
    isinf(0.0) = false
    isinf(exp(800)) = true
    isinf(DBL_MIN/2.0) = false

### See also

fpclassify (C++11) | categorizes the given floating point value (function)
isfinite (C++11) | checks if the given number has finite value (function)
isnan (C++11) | checks if the given number is NaN (function)
isnormal (C++11) | checks if the given number is normal (function)
C documentation for isinf

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/math/isinf&oldid=73057"